%define upstream_name    Unix-Passwd-File
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Manipulate /etc/{passwd,shadow,group,gshadow} entries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unix/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::Password::Util)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Flock)
BuildRequires: perl(File::Flock::Retry)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::chdir)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Any)
BuildRequires: perl(Log::Any::IfLOG)
BuildRequires: perl(Rinci)
BuildRequires: perl(Test::More)
BuildRequires: perl(experimental)
BuildArch: noarch

%description
This module can be used to read and manipulate entries in Unix system
password files (/etc/passwd, /etc/group, /etc/group, /etc/gshadow; but can
also be told to search in custom location, for testing purposes).

This module uses a procedural (non-OO) interface. Each function in this
module open and read the passwd files once. Read-only functions like
`list_users()` and `get_max_gid()` open in read-only mode. Functions that
might write to the files like `add_user()` or `delete_group()` first lock
`passwd.lock` file, open in read+write mode and also read the files in the
first pass, then seek to the beginning and write back the files.

No caching is done so you should do your own if you need to.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE README META.json META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sun Dec 18 2016 guillomovitch <guillomovitch> 0.230.0-1.mga6
+ Revision: 1075888
- new version 0.23

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 12 2015 guillomovitch <guillomovitch> 0.220.0-1.mga6
+ Revision: 909731
- new version 0.22

* Sun Sep 06 2015 sander85 <sander85> 0.210.0-1.mga6
+ Revision: 873674
- update to 0.21

* Mon Jul 06 2015 sander85 <sander85> 0.200.0-1.mga6
+ Revision: 851925
- update to 0.20

* Tue Jun 30 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 848862
- update to 0.18

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 739375
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-2.mga5
+ Revision: 686803
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 guillomovitch <guillomovitch> 0.120.0-1.mga5
+ Revision: 658046
- imported package perl-Unix-Passwd-File

